# QGLColormap Class Reference

### [com.trolltech.qt.opengl package]

### Constructor

- void QGLColormap()
- void QGLColormap(QGLColormap arg__1)

### Constructor Properties

- prototype: The QGLColormap prototype object

### Prototype Object Properties

- QColor entryColor(int idx)
- unsigned int entryRgb(int idx)
- int find(unsigned int color)
- int findNearest(unsigned int color)
- bool isEmpty()
- void setEntries(int count, unsigned int colors, int base)
- void setEntry(int idx, QColor color)
- int size()

### Instance Properties

QGLColormap objects have no special properties beyond those inherited from the QGLColormap prototype object.